Yet Another HTTP Library: YaHTTP::AsyncLoader< T > Class Template Reference

Yet Another HTTP Library yahttp

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Public Attributes | List of all members
YaHTTP::AsyncLoader< T > Class Template Reference

`#include <reqresp.hpp>`

Collaboration diagram for YaHTTP::AsyncLoader< T >:
[legend]

## Public Member Functions
void | keyValuePair (const std::string &keyvalue, std::string &key, std::string &value)
void | initialize (T *target)
int | feed (const std::string &somedata)
bool | ready ()
void | finalize ()

## Public Attributes
T * | target
int | state
size_t | pos
std::string | buffer
bool | chunked
int | chunk_size
std::ostringstream | bodybuf
size_t | maxbody
size_t | minbody
bool | hasBody

## Detailed Description

### template<class T>
class YaHTTP::AsyncLoader< T >

Asynchronous HTTP document loader

## Member Function Documentation

template<class T >

int YaHTTP::AsyncLoader< T >::feed | ( | const std::string & | somedata | ) |

template<class T>

void YaHTTP::AsyncLoader< T >::finalize | ( |  | ) |
| inline

template<class T>

void YaHTTP::AsyncLoader< T >::initialize | ( | T * | target | ) |
| inline

template<class T>

void YaHTTP::AsyncLoader< T >::keyValuePair | ( | const std::string & | keyvalue,
|  | std::string & | key,
|  | std::string & | value
| ) |  |

template<class T>

bool YaHTTP::AsyncLoader< T >::ready | ( |  | ) |
| inline

## Member Data Documentation

template<class T>

std::ostringstream YaHTTP::AsyncLoader< T >::bodybuf

template<class T>

std::string YaHTTP::AsyncLoader< T >::buffer

template<class T>

int YaHTTP::AsyncLoader< T >::chunk_size

template<class T>

bool YaHTTP::AsyncLoader< T >::chunked

template<class T>

bool YaHTTP::AsyncLoader< T >::hasBody

template<class T>

size_t YaHTTP::AsyncLoader< T >::maxbody

template<class T>

size_t YaHTTP::AsyncLoader< T >::minbody

template<class T>

size_t YaHTTP::AsyncLoader< T >::pos

template<class T>

int YaHTTP::AsyncLoader< T >::state

template<class T>

T* YaHTTP::AsyncLoader< T >::target

The documentation for this class was generated from the following files:

- /home/cmouse/projects/libyahttp/yahttp/reqresp.hpp
- /home/cmouse/projects/libyahttp/yahttp/reqresp.cpp